#!/bin/sh

Load()
{
	if [ -e "/var/packages/DNSServer/enabled" ]; then
		if [ -e "/var/packages/DNSServer/scripts/start-stop-status" ]; then
			. /var/packages/DNSServer/scripts/start-stop-status
			IsRouterMode
			LoadDnsMasqSubnetListToAllowRecursive $?

			# Need reconfig named due to
			#  - LoadDnsMasqSubnetListToAllowRecursive
			#  - need re-scan interface after ip change
			/var/packages/DNSServer/target/script/reconfig.sh
		fi
	fi
}

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "synodns"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
	;;
	--post)
	Load
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

