#!/bin/sh

SYNODNS_PKGDEST="/var/packages/DNSServer/target"
ChrootDir="${SYNODNS_PKGDEST}/named"
RndcKeyFile="${ChrootDir}/rndc.key"
SYNODNS_BIN="${SYNODNS_PKGDEST}/bin"

chown -R nobody:nobody "${ChrootDir}/etc"
chown -R nobody:root ${ChrootDir}/var/log
chown -R nobody:nobody ${ChrootDir}/var/run
chown nobody:nobody ${ChrootDir}/var
chown nobody:nobody "${ChrootDir}"

"${SYNODNS_BIN}/rndc" -k "${RndcKeyFile}" reconfig
